Metasploit kan door beheerders en securityprofessionals worden gebruikt voor het uitvoeren van penetratietesten. Fabrikanten van beveiligingsapparatuur kunnen de tools gebruiken voor zogenaamde regressietesten.

Een belangrijke vernieuwing ten opzichte van de tien maanden geleden onthulde versie 3.0 is de grafische gebruikersinterface "De Metasploit GUI plaatst Windows-gebruikers op hetzelfde niveau als diegenen die Unix gebruiken door ze toegang te geven tot een console-interface tot het raamwerk", zegt projectmanager H D Moore. Tot de nieuwe modules behoren een remote exploit voor Novell NetWare, 'fuzzing modules' om 802.11-netwerken met misvormde frames te belasten en een hele reeks exploits gericht op Borlands InterBase-productlijn.

Metasploit is geschreven in Ruby maar bevat ook componenten geschreven in C en assembler. Tot de ondersteunde besturingssystemen behoren Linux, Windows, Mac OS X en de meeste smaken van BSD. Metasploit wordt gebruikt op uiteenlopende platformen variërend van Unix-platformen tot aan kleine handhelds.

Bron: Techworld